﻿using System;
using HeuristicLab.Algorithms.NSGA3;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace HeuristicLab.Algorithms.NSGA3_3._3.Test
{
    [TestClass]
    public class UtilityTests
    {
        [DataTestMethod]
        [DataRow(0, 1)]
        [DataRow(1, 1)]
        [DataRow(3, 6)]
        [DataRow(4, 24)]
        public void TestFactorial(int input, int result)
        {
            Assert.AreEqual(result, Utility.Factorial(input));
        }

        [DataTestMethod]
        [DataRow(-1)]
        [DataRow(31)]
        public void TestFactorial2(int input)
        {
            Assert.ThrowsException<InvalidOperationException>(() => { Utility.Factorial(input); });
        }
    }
}